Revoke API Key
curl --request PUT \
--url https://api.dispersed.com/v1/api-keys/{uuid}/revoke \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.dispersed.com/v1/api-keys/{uuid}/revoke"
payload = {}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.dispersed.com/v1/api-keys/{uuid}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"is_revoked": true,
"name": "<string>",
"object": "api_key",
"permissions": [
"<string>"
],
"public_key": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"_id": "<string>",
"account": "<string>",
"account_uuid": "<string>",
"allowed_ips": [
"127.0.0.1",
"192.168.1.1/24"
],
"deleted_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"uuid": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}API Keys
Revoke API Key
PUT
/
v1
/
api-keys
/
{uuid}
/
revoke
Revoke API Key
Path Parameters
Body
application/json
The body is of type object.
Response
API key revoked successfully
Available options:
api_key OPTIONAL: List of allowed IP addresses or CIDR ranges. If no IPs are provided, the API key can be used from any IP address.
Example:
["127.0.0.1", "192.168.1.1/24"]⌘I